Generate OAuth Access Token
Generates an OAuth 2.0 access token using Client Credentials Grant. with your Client ID and Client Secret encoded in Base64.
Headers
- Type: stringAuthorization
Pattern: ^Basic [A-Za-z0-9+/=]+$requiredBasic authentication header with Base64 encoded ClientID:ClientSecret. Format: 'Basic <Base64(ClientID:ClientSecret)>'
Body
required
application/json
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/oauth/access-token
curl https://sandbox.bmgmoney.com/law/oauth/access-token \
--request POST \
--header 'Authorization: Basic MWZkZmFiMjMtMTIzZi00NTY3LWFiZWYtMWMyZWYzYjRkYTVkOjBkZTZiN2FiLWVmOGEtNGRiZC1hODMyLTczN2Y1NjBhNjhiMQ==' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'grant_type=client_credentials'
{
"access_token": "12ab3456-e123-4ab5-b678-90f123456ac7",
"token_type": "Bearer",
"expires_in": 1200
}